Package org.silverpeas.components.kmelia.notification

## Class VersionSupportUpdater

- java.lang.Object
- - org.silverpeas.core.notification.system.CDIResourceEventListener<org.silverpeas.core.admin.component.notification.ComponentInstanceEvent>
  - - org.silverpeas.components.kmelia.notification.VersionSupportUpdater

- All Implemented Interfaces:
    `org.silverpeas.core.notification.system.ResourceEventListener<org.silverpeas.core.admin.component.notification.ComponentInstanceEvent>`

      @Bean
      public class VersionSupportUpdater
      extends org.silverpeas.core.notification.system.CDIResourceEventListener<org.silverpeas.core.admin.component.notification.ComponentInstanceEvent>

  Listens for events about the update of component instances. When this component instance is a Kmelia one and it is about an update of the versionning parameter, then applies this change to all attachments of the publications managed by this instance of Kmelia.
  Author:
    mmoquillon

- - ### Field Summary

    - ### Fields inherited from class org.silverpeas.core.notification.system.CDIResourceEventListener

      `logger`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `VersionSupportUpdater()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `onUpdate​(org.silverpeas.core.admin.component.notification.ComponentInstanceEvent event)` |

    - ### Methods inherited from class org.silverpeas.core.notification.system.CDIResourceEventListener

      `onEvent`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.silverpeas.core.notification.system.ResourceEventListener

      `dispatchEvent, isEnabled, onCreation, onDeletion, onMove, onRecovery, onRemoving, onUnlock`

- - ### Constructor Detail

    - #### VersionSupportUpdater

          public VersionSupportUpdater()

  - ### Method Detail

    - #### onUpdate

          public void onUpdate​(org.silverpeas.core.admin.component.notification.ComponentInstanceEvent event)
                        throws Exception

      Throws:
        `Exception`